package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Objects;

@Data
public class BasicUserDto {

    private Integer organId;

    private Integer userId;

    private String name;

    private String subjectName;

    private String headUrl;

    private Integer gender;

    private String musicGroupId;

    private String musicGroupName;

    private String userType;

    private Integer subjectId;

    private String phone;

    @ApiModelProperty(value = "关心包：0：默认不可用；1：可用；2：已使用;")
    private Integer carePackage;

    @ApiModelProperty(value = "加油包：0：默认不可用；1：可用；2：已使用;")
    private Integer comeOnPackage;

    @ApiModelProperty(value = "是否会员")
    private Integer memberRankSettingId;

    private String subjectIdList;

    @ApiModelProperty(value = "学员关联的老师类型：VIP、PRACTICE、MIX、NORMAL")
    private String teacherType;

    private Integer tenantId;

    @ApiModelProperty(value = "是否需要乐器维修")
    private Boolean repairFlag = false;


    @ApiModelProperty(value = "加入课程类型 PURCHASE:购买 SHARE：分享")
    private String joinCourseType;
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        BasicUserDto that = (BasicUserDto) o;
        return userId.equals(that.userId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(userId);
    }
}
