package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ym.mec.biz.dal.enums.PeriodEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 学员云教练时长修改记录(StudentMemberUpdateLog)表实体类
 *
 * @author zx
 * @since 2023-05-17 11:13:43
 */
@ApiModel(value = "student_member_update_log-学员云教练时长修改记录")
@Data
public class StudentMemberUpdateLog implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    @TableField("student_id_")
    @ApiModelProperty(value = "学员编号")
    private Integer studentId;

    @TableField("operator_id_")
    @ApiModelProperty(value = "操作人")
    private Integer operatorId;

    @ApiModelProperty(value = "时长类型 1-天 2-月 3-年")
    @TableField("type_")
    private PeriodEnum type;

    @ApiModelProperty(value = "会员等级")
    @TableField("level_")
    private Integer level;

    @ApiModelProperty(value = "会员名称")
    @TableField("name_")
    private String name;

    @ApiModelProperty(value = "购买时长")
    @TableField("time_")
    private Integer time;

    @ApiModelProperty(value = "购买方式，1-自行购买 2-后台添加 3-后台扣减")
    @TableField("buy_type_")
    private Integer buyType;

    @TableField("old_start_time_")
    @ApiModelProperty(value = "原会员开始时间")
    private Date oldStartTime;

    @TableField("old_end_time_")
    @ApiModelProperty(value = "原会员截止时间")
    private Date oldEndTime;

    @TableField("new_start_time_")
    @ApiModelProperty(value = "修改后的开始时间")
    private Date newStartTime;

    @TableField("new_end_time_")
    @ApiModelProperty(value = "修改后的截止时间")
    private Date newEndTime;

    @TableField("create_time_")
    private Date createTime;

    @TableField("memo_")
    private String memo;
}

