package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dayaedu.cbs.openfeign.wrapper.courseware.CbsLessonCoursewareDetailWrapper;
import com.dayaedu.cbs.openfeign.wrapper.courseware.CbsLessonCoursewareWrapper;
import com.ym.mec.biz.dal.entity.SysMusicScore;
import com.ym.mec.biz.dal.mapper.LessonCoursewareMapper;
import com.ym.mec.biz.dal.entity.LessonCourseware;
import com.ym.mec.biz.dal.wrapper.LessonCoursewareWrapper;

import java.util.List;
import java.util.Map;

public interface LessonCoursewareService extends IService<LessonCourseware> {

    LessonCoursewareMapper getDao();

    //分页查询已添加的课件
    IPage<LessonCoursewareWrapper.LessonCoursewareDto> selectPage(IPage<LessonCoursewareWrapper.LessonCoursewareDto> page, LessonCoursewareWrapper.LessonCoursewareQuery query);

    //修改课件适用范围
    void updateRangeType(LessonCoursewareWrapper.UpdateRange updateRange);

    //获取课件适用范围
    LessonCoursewareWrapper.UpdateRangeDetail getRangeType(Integer lessonCoursewareId);

    CbsLessonCoursewareDetailWrapper.LessonCoursewareDetail getLessonCourseDetail(LessonCoursewareWrapper.LessonCoursewareDetailQuery query);

    List<LessonCoursewareWrapper.RefLevelDetailInfo> refLevel(LessonCoursewareWrapper.RefLevelQuery query);

    LessonCourseware getByLessonCoursewareId(Long lessonCoursewareId);

    List<LessonCourseware> getByLessonCoursewareIds(List<Integer> categoryIds);

    //递归处理CbsLessonCoursewareDetailWrapper.KnowledgePointSmall
    void setTreeResourceId(List<CbsLessonCoursewareDetailWrapper.KnowledgePointSmall> knowledgePointList,
                           LessonCoursewareWrapper.LessonCoursewareDetailQuery query,
                           Map<Long, SysMusicScore> musicScores);

    List<Long> getMusicScoreIds(List<CbsLessonCoursewareWrapper.CourseScheduleCoursewareDetail> courseScheduleCoursewareDetails);
}

